// $Id: cube.h 8 2007-03-02 21:58:41Z salival $

#ifndef CUBE_H
#define CUBE_H

#define CUBE_SIZE       5
#define CUBE_PWM_STEPS  16

#define CUBE_LED_LAYER_N        ( CUBE_SIZE*CUBE_SIZE )
#define CUBE_LED_TOTAL_N        ( CUBE_SIZE*CUBE_SIZE*CUBE_SIZE )
#define CUBE_SHIFTREGISTER_N    ( (CUBE_LED_LAYER_N+CUBE_SIZE+7)/8 )
#define CUBE_DISPLAY_RAM_SIZE   ( (CUBE_LED_TOTAL_N+1)/2 )

extern void cube_init(void);
extern void cube_calc_next_step(void);
extern void cube_clear(void);
extern uint8_t* cube_get_step_pointer(void);
extern uint8_t* cube_get_display_pointer(void);
extern void cube_set(uint8_t x, uint8_t y, uint8_t z, uint8_t value);

#endif //CUBE_H

