// $Id: uart.h 11 2007-03-03 18:54:29Z salival $

#ifndef UART_H
#define UART_H

//uart_features
#define UART_ENABLE_RX          1
#define UART_ENABLE_TX          0
#define UART_USE_PUTS           0
#define UART_USE_PUTS_P         0

//uart_config
#define UART_BAUDRATE           57600
#define UART_DOUBLE_SPEED       1
#define UART_TX_BUFFERSIZE      32
#define UART_RX_BUFFERSIZE      32

//prototypes
extern void uart_init(void);

extern void uart_putc(uint8_t c);
extern void uart_puts(const uint8_t* s);
extern void uart_puts_p(const uint8_t* s);

extern uint8_t uart_overflow(void);
extern uint8_t uart_bytes_received(void);
extern uint8_t uart_getc (void);

//macros
#define uart_puts_P(__s)       uart_puts_p( PSTR(__s) )

#endif //UART_H

